name: Gitea Actions Demo
run-name: ${{ gitea.actor }} is testing out Gitea Actions
on: [push]

jobs:
  build_and_push:
    runs-on: ubuntu-latest
    container:
      image: docker:23.0.6-dind
    steps:
      - name: login
        run: echo "${{ secrets.DOCKER_PASSWORD }}" | docker login gitea.webart-tech.ru --username ${{ secrets.DOCKER_USERNAME }} --password-stdin
      # - name: Checkout 
      #   uses: actions/checkout@v2 # Required to mount the Github Workspace to a volume 
      # - name: Login to Docker Hub
      #   uses: https://github.com/docker/login-action@v3
      #   with:
      #     username: ${{ secrets.DOCKER_USERNAME }}
      #     password: ${{ secrets.DOCKER_PASSWORD }}
      #     registry: gitea.webart-tech.ru
      # - name: Build and push
      #   uses: https://github.com/docker/build-push-action@v5
      #   with:
      #     push: true
      #     tags: platformer:${{ gitea.sha }}